#
# spec file for package python-xvfbwrapper
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-xvfbwrapper
Version:        0.2.4
Release:        1.1
Summary:        Run headless display inside X virtual framebuffer (Xvfb)
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/cgoldberg/xvfbwrapper
Source:         https://pypi.python.org/packages/source/x/xvfbwrapper/xvfbwrapper-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  xorg-x11-server
Requires:       xorg-x11-server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
BuildRequires:  python-unittest2
%else
BuildArch:      noarch
%endif

%description
Python wrapper for running a display inside X virtual framebuffer (Xvfb)

%prep
%setup -q -n xvfbwrapper-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

# FIXME(toabctl): enable testsuiter when ready for python2.6
#%check
#DISPLAY=:0 nosetests

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Sep 16 2014 tbechtold@suse.com
- Initial version
